From f709664f2338302f3ad09427d97847c21518cc1d Mon Sep 17 00:00:00 2001
From: Emmanuele Bassi <ebassi@linux.intel.com>
Date: Wed, 20 Oct 2010 09:42:34 +0100
Subject: [PATCH] build: Go back to autoreconf
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

After testing and distchecking, I verified that autoreconf can still be
used to rebuild the autotools setup.

Thanks to Javier Jardón for the second pair of eyes.
---
 autogen.sh | 95 ++++++------------------------------------------------
 1 file changed, 10 insertions(+), 85 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 5b9973bcf..1d972f3a5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -5,74 +5,26 @@ srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
 ORIGDIR=`pwd`
+
 cd $srcdir
 PROJECT=Clutter
 TEST_TYPE=-f
 FILE=clutter/clutter.h
 
-DIE=0
-
-have_libtool=false
-if libtoolize --version < /dev/null > /dev/null 2>&1 ; then
-	libtool_version=`libtoolize --version |
-			 head -1 |
-			 sed -e 's/^\(.*\)([^)]*)\(.*\)$/\1\2/g' \
-			     -e 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
-	case $libtool_version in
-	    2.2*|2.4*)
-		have_libtool=true
-		;;
-	esac
-fi
-if $have_libtool ; then : ; else
-	echo
-	echo "You must have libtool 2.2 installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
-	DIE=1
-fi
-
-(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have gtk-doc installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
-	DIE=1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "You must have autoconf installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
-	DIE=1
-}
-
-if automake-1.11 --version < /dev/null > /dev/null 2>&1 ; then
-    AUTOMAKE=automake-1.11
-    ACLOCAL=aclocal-1.11
-else
-	echo
-	echo "You must have automake or 1.11.x installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
-	DIE=1
-fi
-
-if test "$DIE" -eq 1; then
-	exit 1
-fi
-
 test $TEST_TYPE $FILE || {
 	echo "You must run this script in the top-level $PROJECT directory"
 	exit 1
 }
 
-# NOCONFIGURE is used by gnome-common; support both
-if ! test -z "$AUTOGEN_SUBDIR_MODE"; then
-    NOCONFIGURE=1
-fi
+(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have gtk-doc installed to compile $PROJECT."
+	echo "Install the appropriate package for your distribution,"
+	echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+        exit 1
+}
 
+# NOCONFIGURE is used by gnome-common
 if test -z "$NOCONFIGURE"; then
         if test -z "$*"; then
                 echo "I am going to run ./configure with no arguments - if you wish "
@@ -80,37 +32,10 @@ if test -z "$NOCONFIGURE"; then
         fi
 fi
 
-if test -z "$ACLOCAL_FLAGS"; then
-
-	acdir=`$ACLOCAL --print-ac-dir`
-        m4list="glib-2.0.m4 glib-gettext.m4"
-
-	for file in $m4list
-	do
-		if [ ! -f "$acdir/$file" ]; then
-			echo "WARNING: aclocal's directory is $acdir, but..."
-			echo "         no file $acdir/$file"
-			echo "         You may see fatal macro warnings below."
-			echo "         If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
-			echo "         environment variable to \"-I /some/dir\", or install"
-			echo "         $acdir/$file."
-			echo ""
-		fi
-	done
-fi
-
 rm -rf autom4te.cache
 
-autopoint --force || exit $?
-
-$ACLOCAL -I build/autotools $ACLOCAL_FLAGS || exit $?
-
-libtoolize --force || exit $?
 gtkdocize || exit $?
-autoheader || exit $?
-
-$AUTOMAKE --add-missing || exit $?
-autoconf || exit $?
+autoreconf -vfi || exit $?
 cd $ORIGDIR || exit $?
 
 if test -z "$NOCONFIGURE"; then